Discuz! X3.1安装插件出现:对不起,您安装的不是正版应用,安装程序无法继续执行的解决方法

本文由 穷站长 于 2014-2-5 15:40 Wednesday 发布在 建站技术 评论(8)

今天在安装测试Discuz! X3.1品牌123 商业版 1.502版插件的时候提示:对不起,您安装的不是正版应用,安装程序无法继续执行,很是无语,百度查找后,通过以下方法完美解决了该问题,特地发出分享下,以便日后用得上

discuz 社区在更新到3.0以上后,增加了对插件的版本检测,在安装时,可能会出现:“对不起,您安装的不是正版应用,安装程序无法继续执行”的提示,要解决这个其实挺容易的,找到以下文件:



  /source/function/function_cloudaddons.php


  找到文件中的cloudaddons_validator这个处理过程,将中间提示部份注释掉,改为像以下这样即可大功告成。。


  ---------------------------
  function cloudaddons_validator($addonid) {
  $array = cloudaddons_getmd5($addonid);
  if(cloudaddons_open('&mod=app&ac=validator&addonid='.$addonid.($array !== false ? '&rid='.$array['RevisionID'].'&sn='.$array['SN'].'&rd='.$array['RevisionDateline'] : '')) === '0') {
  /**
  cpmsg('cloudaddons_genuine_message', '', 'error', array('addonid' => $addonid));
  */

  }
  }



当然安装Discuz! 3.0、3.1插件和模板出现这个问题,一样的按照以上方法解决。

 

  • 你想建一个跟《好站长资源》类似的网站吗?

    声明:本站所有资源全部收集于互联网,分享目的仅供大家学习与参考,如有侵权,请联系admin@haoid.cn及时删除!本站仅提供资源分享,不提供任何技术支持,所有资源在使用过程中出现的任何问题,请自行处理,本站不承担任何责任!

    版权所有:《好站长资源》 => 《Discuz! X3.1安装插件出现:对不起,您安装的不是正版应用,安装程序无法继续执行的解决方法
    本文地址:http://www.haoid.cn/post/159
    除非注明,文章均为 《好站长资源》 原创,欢迎转载!转载请注明本文地址,谢谢。

    大家对以上内容的评论:

    4k3 by 2015-09-21 22:37
    可以了直接复制你的上去是不可以用的 要自己打上去  /**  */
    4k3 by 2015-09-21 22:33
    把你的代码贴上去以后提示应用中心直接没反应了。
    一尘 by 2015-04-23 22:24
    中间提示部分是那些?
    ...... by 2015-01-25 11:43
    楼主好人,谢谢分享!
    ...... by 2015-01-25 11:38
    把你的代码贴上去以后dw提示有错误
    huxi by 2015-01-13 14:57
    看不怎么清楚是怎么改代码 换上去之后 点击应用没反映
    。。。。。。 by 2015-01-14 16:05
    @huxi:安装不了
    昊曌 by 2014-10-03 19:36
    谢谢楼主的大公无私,以及免费分享的态度

    关于本站  |  好站长资源  |  手机版  |  空间支持  |  联系我们  |  免责声明  |  京ICP备05055788号-20  |  

    All Rights Reserved. Powered by Emlog  |   Themes by haoid.cn  |  sitemap
    当前模板可售并承接各种定制服务
    回到顶部